Subject: Re: bug#7397: make-docfile should support the @FILE command line option

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Nov 2010 04:31:50 -0500

> From: Dan Nicolaescu <[email-masked]>
> Date: Sun, 14 Nov 2010 04:01:28 -0500
> Cc: 
> 
> src/Makefile.in contains some ugliness just in order to reduce the
> command line length for make-docfile.
> 
> Instead make-docfile could support the @FILE syntax.  That would
> remove the command line length limitation.

I'm not against adding this feature to make-docfile, but are we sure
this problem is real nowadays?  What systems cannot grok the full list
of Lisp files?  shortlisp is 2.2KB long; how much longer can the full
list be?  I don't think we have any system supported that cannot
handle at least 10K long commands, do we?

Maybe we should simply dump this ugliness, and see if someone hollers?